cURL
curl --request GET \
--url https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"events": [
{
"type": "apps.someApp.someCustomEvent",
"source": {
"appSlug": "<string>",
"appInstanceFullSlug": "<string>",
"appInstanceDepth": 123,
"automationSlug": "<string>",
"automationDepth": 123,
"userId": "<string>",
"ip": "<string>",
"sessionId": "<string>",
"workspaceId": "<string>",
"socketId": "<string>",
"host": {
"service": "<string>"
},
"correlationId": "<string>",
"serviceTopic": "<string>"
},
"createdAt": "<string>",
"id": "<string>",
"size": 123,
"payload": "<unknown>",
"target": {
"userTopic": "<string>",
"userId": "<string>",
"sessionId": "<string>",
"currentSocket": true
},
"options": {
"persist": true,
"aggPayload": false,
"async": false
},
"error": {
"error": "<string>",
"message": "<string>",
"details": "<unknown>",
"level": "warning"
}
}
]
}
}{
"error": "BadParameters",
"message": "<string>",
"details": "<unknown>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Prisme.ai Events
Get v2workspaces events
Retrieve events filtered with any JSON path specified in GET parameters. Can be called as websocket.
GET
/
v2
/
workspaces
/
{workspaceId}
/
events
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of workspace to listen to
Query Parameters
Search these keywords
Match every events created before given eventId
Match only events from appInstances not exceeding that depth
Comma separated list of listened event types
Retrieve events created after this ISO8601 formatted date
Retrieve events created before this ISO8601 formatted date
Page number
Page size
Sort order, asc for oldest first & 'desc' for earliest first. Earliest first by default
Available options:
asc, desc Response
Success Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I